Subject: bug#39118: Segfault while building on 64-bit Cygwin

From: John Cowan <[email-masked]>
Date: Tue, 21 Jan 2020 16:37:01 -0500

Thanks.  Unfortunately, the standard recipe for making core dumps on Mac
(put "limit core unlimited" into /etc/launchd.conf and reboot, make sure
/cores is writable, set ulimit -c unlimited) seem to actually enable them
on MacOS Catalina (10.15.2).  I have tested with SIGQUIT and SIGSEGV on
running processes and no dumps appear in /cores.

On Tue, Jan 21, 2020 at 4:02 AM Ludovic Courtès <[email-masked]> wrote:

> Hello,
>
> John Cowan <[email-masked]> skribis:
>
> > Yes, gladly, but I don't know how to get one in this context.
>
> You would unpack, configure, and build like you did before (with JIT
> enabled, so as to reproduce the crash), but before that you’d run
> “ulimit -c unlimited” in that shell to make sure there’s a core dumped
> when it crashes.
>
> Once it has crashed, locate the ‘core’ file (or ‘core.*’), and run, say:
>
>   gdb libguile/.libs/guile bootstrap/core
>
> Then from the GDB prompt:
>
>   thread apply all bt
>
> TIA,
> Ludo’.
>